## EMenuToolButton EMenuToolButton |

## Functions

GtkToolItem * | e_menu_tool_button_new ()
const gchar * | e_menu_tool_button_get_prefer_item ()
void | e_menu_tool_button_set_prefer_item ()
EUIAction * | e_menu_tool_button_get_fallback_action ()
void | e_menu_tool_button_set_fallback_action ()

## Properties

EUIAction * | fallback-action | Read / Write
char * | prefer-item | Read / Write
EUIManager * | ui-manager | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkToolItem
                            ╰── GtkToolButton
                                ╰── GtkMenuToolButton
                                    ╰── EMenuToolButton

## Description

## Functions

### e_menu_tool_button_new ()

    GtkToolItem *
    e_menu_tool_button_new (const gchar *label,
                            EUIManager *ui_manager);

### e_menu_tool_button_get_prefer_item ()

    const gchar *
    e_menu_tool_button_get_prefer_item (EMenuToolButton *button);

### e_menu_tool_button_set_prefer_item ()

    void
    e_menu_tool_button_set_prefer_item (EMenuToolButton *button,
                                        const gchar *prefer_item);

### e_menu_tool_button_get_fallback_action ()

    EUIAction *
    e_menu_tool_button_get_fallback_action
                                   (EMenuToolButton *button);

### e_menu_tool_button_set_fallback_action ()

    void
    e_menu_tool_button_set_fallback_action
                                   (EMenuToolButton *button,
                                    EUIAction *action);

## Property Details

### The `“fallback-action”` property

      “fallback-action”          EUIAction *

Owner: EMenuToolButton

Flags: Read / Write

### The `“prefer-item”` property

      “prefer-item”              char *

Name of an item to show instead of the first.

Owner: EMenuToolButton

Flags: Read / Write

Default value: NULL

### The `“ui-manager”` property

      “ui-manager”               EUIManager *

Owner: EMenuToolButton

Flags: Read / Write / Construct Only